'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateLocation = exports.transitionSuccess = exports.goForward = exports.goBack = exports.go = exports.replace = exports.push = exports.UPDATE_LOCATION = exports.TRANSITION_SUCCESS = exports.TRANSITION = exports.createReducer = undefined;

var _actions = require('./actions');

Object.defineProperty(exports, 'TRANSITION', {
  enumerable: true,
  get: function get() {
    return _actions.TRANSITION;
  }
});
Object.defineProperty(exports, 'TRANSITION_SUCCESS', {
  enumerable: true,
  get: function get() {
    return _actions.TRANSITION_SUCCESS;
  }
});
Object.defineProperty(exports, 'UPDATE_LOCATION', {
  enumerable: true,
  get: function get() {
    return _actions.UPDATE_LOCATION;
  }
});
Object.defineProperty(exports, 'push', {
  enumerable: true,
  get: function get() {
    return _actions.push;
  }
});
Object.defineProperty(exports, 'replace', {
  enumerable: true,
  get: function get() {
    return _actions.replace;
  }
});
Object.defineProperty(exports, 'go', {
  enumerable: true,
  get: function get() {
    return _actions.go;
  }
});
Object.defineProperty(exports, 'goBack', {
  enumerable: true,
  get: function get() {
    return _actions.goBack;
  }
});
Object.defineProperty(exports, 'goForward', {
  enumerable: true,
  get: function get() {
    return _actions.goForward;
  }
});
Object.defineProperty(exports, 'transitionSuccess', {
  enumerable: true,
  get: function get() {
    return _actions.transitionSuccess;
  }
});
Object.defineProperty(exports, 'updateLocation', {
  enumerable: true,
  get: function get() {
    return _actions.updateLocation;
  }
});

var _createReducer = require('./createReducer');

var _createReducer2 = _interopRequireDefault(_createReducer);

var _createTasks = require('./createTasks');

var _createTasks2 = _interopRequireDefault(_createTasks);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var createReducer = exports.createReducer = function createReducer(history) {
  var tasks = (0, _createTasks2.default)(history);
  return (0, _createReducer2.default)(tasks);
};